#include<stdio.h>
#define MAXN 20000
int main()
{
	int n, k, karte[MAXN];
	scanf("%d%d", &n, &k);
	for (int i = 0; i < n; i++)
		scanf("%d", &karte[i]);
	for (int i = 0; i < n; i++)
	{
		if (karte[i] == k)
		{
			if (i == n - 1)
				printf("%d", karte[0]);
			else printf("%d", karte[i + 1]);
			break;
		}
	}
}